Bug 358021 - pt_BR version of OpenOffice.org needs to be called BrOffice.org
pt_BR version of OpenOffice.org needs to be called BrOffice.org
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
low Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 430427
  Show dependency treegraph
 
Reported: 2007-10-30 07:47 EDT by Davidson Paulo
Modified: 2009-09-21 17:02 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.0.0-0.12.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 11:36:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
SRPM of broffice.org package that converts OpenOffice.org into BrOffice.org and vice versa (66.60 KB, application/x-rpm)
2008-01-22 14:11 EST, Davidson Paulo
no flags Details
Patch for fixing a bug in /usr/lib/openoffice.org/program/oo2bro script (445 bytes, patch)
2008-01-24 10:50 EST, Davidson Paulo
no flags Details | Diff

  None (edit)
Description Davidson Paulo 2007-10-30 07:47:45 EDT
Description of problem:

In Brazil, "Open Office" is a trademark of a company so
OpenOffice.org has changed it's name do BrOffice.org here because legal
issues. BrOffice.org is not a fork, it's the official Brazilian
Portuguese release of OpenOffice.org, with most of referencences to
"OpenOffice.org" changed by "BrOffice.org".

So, some changes need to be made to openoffice.org-langpack-pt_BR
package, specifically:

 * Change bootsplash image for the BrOffice.org one;
 * Change references for openoffice and OpenOffice to broffice and BrOffice in
   some OpenOffice.org's data and .desktop files.

That changes "transform" OpenOffice.org into BrOffice.org without recompilation,
as done by Debian/Ubuntu packages for BrOffice.org by using sed, cp and mv.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2007-10-30 07:58:59 EDT
We can probably provide a package that 
a) at install time config-imports the new name for Ooo and on de-install removes
the name. 
b) renames and replaces the splashsceen on install and de-install

hacks around remaining stuff. I have no idea how much of a struggle would be
required to make this packaging compliant, but I'd hope for a separate package
that do this required magic that can live outside of OOo and be maintained
separately.
Comment 2 Davidson Paulo 2007-10-30 08:06:16 EDT
Follows the URL for for Debian broffice.org post-install script, it can be useful.

http://zyklop.dyndns.org/~rene/broffice-target-debian-rules
Comment 3 Davidson Paulo 2007-11-08 10:25:37 EST
Here is the steps. Try to reproduce them and you will have a
BrOffice.org installation:

# yum install openoffice.org-langpack-pt_BR

# for file in program/bootstraprc program/versionrc
share/registry/data/org/openoffice/Setup.xcu
program/resource/ooo680pt-BR.res ; do sed -i -e 's/OpenO/BrO/' -e
's/openo/bro/' /usr/lib/openoffice.org/${file} ; done

# for file in /usr/share/applications/openoffice*.desktop ; do sed -i
-e 's/ooff/broff/' -e 's/OpenO/BrO/' $file ; mv $file $(echo $file |
sed 's/openo/bro/') ; done

# ln -sf /usr/bin/ooffice /usr/bin/broffice

# (copy bootsplash and other BrOffice.org images)

Open any of OpenOffice.org programs and you'll see 'OpenOffice.org'
replaced by 'BrOffice.org' in all strings.
Comment 5 Davidson Paulo 2008-01-19 21:11:40 EST
Any chance to get this stuff done until Fedora 9 release? If you need something,
please tell me.
Comment 6 Davidson Paulo 2008-01-22 14:11:38 EST
Created attachment 292547 [details]
SRPM of broffice.org package that converts OpenOffice.org into BrOffice.org and vice versa
Comment 7 Davidson Paulo 2008-01-22 14:13:07 EST
I've built a RPM, a meta-package that contais only to files:

 * /usr/lib/openoffice.org/program/intro.bmp.broo (boot splash)
 * /usr/lib/openoffice.org/program/about.bmp.broo (image)
 * /usr/lib/openoffice.org/program/oo2bro         (BASH Script)

That package requires openoffice.org-langpack-pt_BR. When installed, it does:

 * Moves intro.bmp e about.bmp to intro.bmp.ooo and about.bmp.ooo
 * Copy files from package to the system
 * Execute /usr/lib/openoffice.org/program/oo2bro which does:
   - Change all references to "OpenOffice.org" to "BrOffice.org
     in both program and .desktop files;
   - Create 2 symlinks named intro.bmp and about.bmp refering to
     intro.bmp.broo and about.bmp.broo images;

When uninstalled, the inverse happens, so BrOffice.org turns back into
OpenOffice.org.

Tha SRPM is attached.
Comment 8 Davidson Paulo 2008-01-24 10:50:17 EST
Created attachment 292801 [details]
Patch for fixing a bug in /usr/lib/openoffice.org/program/oo2bro script

This patch fixes a bug in the /usr/lib/openoffice.org/program/oo2bro script
installed by broffice.org RPM (built from the SRPM attached previously) that
makes ODF documents lose their associations with BrOffice.org programs so they
cannot be opened with a double click.
Comment 9 Davidson Paulo 2008-01-29 12:53:45 EST
Updated SRPM that provides broffice.org-core, writer, calc, base, math, impress
and draw. Just a proof of concept:

http://dpaulo.fedorapeople.org/usr/src/redhat/SRPMS/broffice.org-2.3.0-3.src.rpm
Comment 10 Caolan McNamara 2008-04-24 07:02:08 EDT
OpenOffice.org 3.0.0 introduces a "brand layer" (i.e.
http://wiki.services.openoffice.org/wiki/ODF_Toolkit/Efforts/Three-Layer_OOo) 
specifically introduced to resolve this sort of issue. 

I've been packing 3.0 for F-10 and have beaten it into submission to create a
thin broffice.org set of brand rpms which can be installed instead of the thin
"openoffice.org" brand rpms with the underlying common bits shoved into "core" rpms

So I propose to tackle this that way for F-10

->modified as checked into cvs and will be available for testing once F-10
rawhide is buildable again
Comment 11 Bug Zapper 2008-05-13 23:47:31 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Caolan McNamara 2008-05-16 11:36:01 EDT
Landed in rawhide as 3.0.0 using the brand layer split of 3.0.0, might be a
little rough for a week or two

Note You need to log in before you can comment on or make changes to this bug.